﻿@model List<UserViewModel>

@{
    ViewData["Title"] = "List of users";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<br />
<br />
<br />

<h1>@ViewData["Title"]</h1>

<table class="table table-hover ">
    <thead>
        <tr>
            <th>Username</th>
            <th>E-mail </th>
            <th>Role</th>
            <th>Banned</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var user in Model)
        {
            <tr>
                <td>@user.Username</td>
                <td> @user.Email</td>
                <td> @user.Role</td>
                <td> @user.IsBanned</td>

                <td>
                    @if (user.Role != ("Administrator") && user.Role != ("Librarian"))
                    {
                        @if (User.IsInRole("Administrator"))
                        {
                            <form method="post">
                                <button class="btn btn-primary" asp-action="ChangeRoleToLibrarian" asp-controller="User" asp-route-userId="@user.Id">Create Librarian</button>
                            </form>
                        }
                        <form method="post">
                            <button class="btn btn-primary" asp-action="BanUser" asp-controller="User" asp-route-userId="@user.Id">Ban</button>
                        </form>
                    }
                <form method="post">
                    <button class="btn btn-primary" asp-action="Delete" asp-controller="User" asp-route-userId="@user.Id">Delete</button>
                </form>
                </td>
            </tr>
        }
    </tbody>
</table>